Bug 29133

Summary: DeadLock occured during creating an java file.
Product: contrib Reporter: Tomas Zezula <tzezula>
Component: LooksAssignee: Petr Hrebejk <phrebejk>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: 3.x   
Hardware: PC   
OS: Linux   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: Thread dump

Description Tomas Zezula 2002-11-28 14:48:49 UTC
Dead lock occured while creating JavaDataObject
and opening it using RMI New from template Wizard.
Comment 1 Tomas Zezula 2002-11-28 14:50:37 UTC
Created attachment 8095 [details]
Thread dump
Comment 2 pzajac 2002-11-28 15:04:31 UTC
keyword projects added. It is better to add build number too. 
Comment 3 Jan Lahoda 2002-12-03 10:15:09 UTC
Hi,
    so in Request processor:
at_org.netbeans.modules.looks.DecoratorSelector.decorateLookDescriptor(DecoratorSelector.java:128)
        - waiting to lock <0x450db5e0> (a java.util.WeakHashMap)
[snip]
in AWT evet queue:
[snip]
at_org.netbeans.modules.looks.DecoratorSelector.decorateLookDescriptor(DecoratorSelector.java:133)
        - locked <0x450db5e0> (a java.util.WeakHashMap)
[snip]

so it seems to me like looks problems (or maybe the look is used in a
bad way?).
Comment 4 Petr Hrebejk 2002-12-08 18:14:02 UTC
Should noew be hot fixed in the looks_jul_2002_private branch.
Comment 5 Marian Mirilovic 2004-02-24 07:49:41 UTC
verified - closed (projects are death )
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo